%define	major      	0

%define libname		%mklibname %name %major
%define libnamedev	%mklibname -d %name


Summary:	Opus Interactive Audio Codec
Name:		opus
Version:	1.3.1
Release:	%mkrel 4
Source0:	http://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.xz
Patch1:		0001-Fix-celt-decoder-assertion-when-using-OPUS_CUSTOM.patch
URL:		http://opus-codec.org/
License:	BSD
Group:		Sound
BuildRequires:	doxygen

%description
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec. 

%package -n	%{libname}
Summary:	Opus library
Group:		System/Libraries

%description -n	%{libname}
This package provides the library that implements the Opus codec.
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec. 

%package -n	%{libnamedev}
Summary:	Files needed to compile a program with Opus support
Group:		Development/Libraries
Requires:	%{libname} = %version
Provides:	opus-devel = %version

%description -n	%{libnamedev}
This package provides the library that implements the Opus codec.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-custom-modes
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %buildroot/%_libdir/*.{a,la}


%files -n %{libname}
%defattr(644,root,root,755)
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/opus.m4
%{_mandir}/man3/*
%{_datadir}/doc/%{name}

%clean
rm -rf %buildroot

%changelog
* Sun Oct 09 2022 tex - 1.3.1-4pclos2022
- rebuild against updates

* Mon Feb 10 2020 tex - 1.3.1-3pclos2020
- rebuild against updates

* Fri Feb 07 2020 tex - 1.3.1-2pclos2020
- rebuild against updates

* Mon May 13 2019 tex - 1.3.1-1pclos2019
- new version

* Sat Sep 23 2017 bb2 <bb2> - 1.1.5-1pclos2017
- new version

* Sat Sep 23 2017 bb2 <bb2> - 1.1.1-2pclos2017
- rebuild against updates

* Wed Jan 06 2016 bb <bb> 1.1.1-1pclos2016
- update

* Thu Feb 20 2014 bb <bb> 1.1-1pclos2014
- update

* Sun Oct 06 2013 billybot <billybot> 1.0.3-1pclos2013
- import into pclos
